package com.flyfish.framework.r2dbc.metadata.reference;

import com.flyfish.framework.annotations.Property;
import com.flyfish.framework.domain.base.Domain;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@Property("一对一关联查询")
@AllArgsConstructor
public class R2dbcAssociation {

    @Property("关联实体类")
    private Class<? extends Domain> entityClass;

    @Property("关联字段")
    private String field;

    @Property("字段是否在当前实体内部")
    boolean inner;

    public static R2dbcAssociation of(Class<? extends Domain> entityClass, String field, boolean inner) {
        return new R2dbcAssociation(entityClass, field, inner);
    }
}
